Mark notifications as read
curl --request POST \
--url https://swish.app/api/2026-07/notifications/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"notificationIds": [
"67a61d5561e4f9de302c02a1",
"67a61d5561e4f9de302c02a2"
]
}
'import requests
url = "https://swish.app/api/2026-07/notifications/read"
payload = { "notificationIds": ["67a61d5561e4f9de302c02a1", "67a61d5561e4f9de302c02a2"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({notificationIds: ['67a61d5561e4f9de302c02a1', '67a61d5561e4f9de302c02a2']})
};
fetch('https://swish.app/api/2026-07/notifications/read', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://swish.app/api/2026-07/notifications/read",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'notificationIds' => [
'67a61d5561e4f9de302c02a1',
'67a61d5561e4f9de302c02a2'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://swish.app/api/2026-07/notifications/read"
payload := strings.NewReader("{\n \"notificationIds\": [\n \"67a61d5561e4f9de302c02a1\",\n \"67a61d5561e4f9de302c02a2\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://swish.app/api/2026-07/notifications/read")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"notificationIds\": [\n \"67a61d5561e4f9de302c02a1\",\n \"67a61d5561e4f9de302c02a2\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://swish.app/api/2026-07/notifications/read")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"notificationIds\": [\n \"67a61d5561e4f9de302c02a1\",\n \"67a61d5561e4f9de302c02a2\"\n ]\n}"
response = http.request(request)
puts response.read_body"<unknown>"{
"error": {
"message": "Validation failed",
"error": "Bad Request",
"statusCode": 400,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "Failed to authenticate request",
"error": "Unauthorized",
"statusCode": 401,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "You do not have permission to access this resource",
"error": "Forbidden",
"statusCode": 403,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "The requested resource was not found",
"error": "Not Found",
"statusCode": 404,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "An unexpected error occurred",
"error": "Internal Server Error",
"statusCode": 500,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}Notifications
Mark notifications as read
Marks specified notifications as read by their IDs
POST
/
notifications
/
read
Mark notifications as read
curl --request POST \
--url https://swish.app/api/2026-07/notifications/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"notificationIds": [
"67a61d5561e4f9de302c02a1",
"67a61d5561e4f9de302c02a2"
]
}
'import requests
url = "https://swish.app/api/2026-07/notifications/read"
payload = { "notificationIds": ["67a61d5561e4f9de302c02a1", "67a61d5561e4f9de302c02a2"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({notificationIds: ['67a61d5561e4f9de302c02a1', '67a61d5561e4f9de302c02a2']})
};
fetch('https://swish.app/api/2026-07/notifications/read', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://swish.app/api/2026-07/notifications/read",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'notificationIds' => [
'67a61d5561e4f9de302c02a1',
'67a61d5561e4f9de302c02a2'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://swish.app/api/2026-07/notifications/read"
payload := strings.NewReader("{\n \"notificationIds\": [\n \"67a61d5561e4f9de302c02a1\",\n \"67a61d5561e4f9de302c02a2\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://swish.app/api/2026-07/notifications/read")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"notificationIds\": [\n \"67a61d5561e4f9de302c02a1\",\n \"67a61d5561e4f9de302c02a2\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://swish.app/api/2026-07/notifications/read")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"notificationIds\": [\n \"67a61d5561e4f9de302c02a1\",\n \"67a61d5561e4f9de302c02a2\"\n ]\n}"
response = http.request(request)
puts response.read_body"<unknown>"{
"error": {
"message": "Validation failed",
"error": "Bad Request",
"statusCode": 400,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "Failed to authenticate request",
"error": "Unauthorized",
"statusCode": 401,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "You do not have permission to access this resource",
"error": "Forbidden",
"statusCode": 403,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "The requested resource was not found",
"error": "Not Found",
"statusCode": 404,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "An unexpected error occurred",
"error": "Internal Server Error",
"statusCode": 500,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}Body
application/json
Array of notification IDs to mark as read
Example:
[
"67a61d5561e4f9de302c02a1",
"67a61d5561e4f9de302c02a2"
]
Response
Notifications marked as read successfully
The response is of type any.